package com.manage.vo;

import com.manage.entity.Power_Notice;

import java.util.List;

public class Power_NoticeVo extends Power_Notice {
    private Integer limit;
    private Integer page;
    private Integer offset;
    private String noticeDateStart;

    private String noticeDateEnd;

    private String noticeIds;

    private String effectiveCn;

    private String readFlagCn;

    private List<Power_Notice> children;

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public List<Power_Notice> getChildren() {
        return children;
    }

    public void setChildren(List<Power_Notice> children) {
        this.children = children;
    }

    public String getEffectiveCn() {
        return effectiveCn;
    }

    public void setEffectiveCn(String effectiveCn) {
        this.effectiveCn = effectiveCn;
    }

    public String getReadFlagCn() {
        return readFlagCn;
    }

    public void setReadFlagCn(String readFlagCn) {
        this.readFlagCn = readFlagCn;
    }

    public String getNoticeIds() {
        return noticeIds;
    }

    public void setNoticeIds(String noticeIds) {
        this.noticeIds = noticeIds;
    }

    public String getNoticeDateEnd() {
        return noticeDateEnd;
    }

    public void setNoticeDateEnd(String noticeDateEnd) {
        this.noticeDateEnd = noticeDateEnd;
    }

    public String getNoticeDateStart() {
        return noticeDateStart;
    }

    public void setNoticeDateStart(String noticeDateStart) {
        this.noticeDateStart = noticeDateStart;
    }
}
